Deleting a sync plan does not stop syncing repos from it
06/25/2018 06:39 PM - Stephen Benjamin
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1589789

Description of problem:
When | delete a sync plan with associated product(s) and repo(s), the pulp repos are still synced underneath like the plan would still
exist.

The cause is, katello does not delete the sync plan but updates it, since pulp_rest debugs show:

2018-06-11 13:40:29 [katello/pulp_rest] [D] RestClient.put
"https://pmoravec-sat63.gsslab.brg2.redhat.com/pulp/api/v2/repositories/a89a3c32-9¢85-40e8-b22¢-0cf3411911be/importers/yum_i
mporter/schedules/sync/5b1ceOb3a0ad7a17858344d9/", "{\"schedule\":\"2018-06-11T14:00:00+02:00/PT1H\"\"enabled\":true}",
"Accept"=>"*/*; q=0.5, application/xml", "Accept-Encoding"=>"gzip, deflate", "Content-Length"=>"60", "accept"=>"application/json",
"content_type"=>"application/json"

See e.g. enabled:true. Rather DELETE op per
https://docs.pulpproject.org/dev-guide/integration/rest-api/repo/sync.html#deleting-a-scheduled-sync should be used.

And pulp mongo_database really still has a record in scheduled_calls collection.
Even removing a sync plan that has not been executed is affected the same.

Version-Release number of selected component (if applicable):
Sat 6.3.1
tfm-rubygem-katello-3.4.5.64-1.el7sat.noarch

How reproducible:
100%

Steps to Reproduce:

1. Create a sync plan, add some product there

2. Delete the sync plan (even before it is executed for the 1st time)

3. Create a sync plan, add some product there, wait for its 1st (or 2nd or even more, if patient) execution

4. Delete the sync plan

5. Check on next sync plans expected execution if underlying repos will be synced / Monitor -> Tasks will have " Scheduled
Synchronization repository .." tasks

Actual results:
5. Both sync plans from 1 and 3 steps are still executed, despite they have been deleted.

Expected results:
5. no further execution of sync plans after their removal

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=1589789
https://docs.pulpproject.org/dev-guide/integration/rest-api/repo/sync.html#deleting-a-scheduled-sync

Associated revisions

Revision c5a25d9f - 06/28/2018 01:37 PM - Stephen Benjamin

fixes #24068 - correctly remove schedules for repos

Schedules are not currently correctly removed from pulp. We update the
product to disassociate the sync plan, but the object needs to be

reloaded otherwise sync_plan_id is still set when it gets sent to the
Pulp::Repos::Update action.

History

#1 - 06/25/2018 06:47 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Stephen Benjamin

- Pull request https://github.com/Katello/katello/pull/7475 added

#2 - 06/27/2018 05:48 PM - Andrew Kofink

- Subject changed from Deleting a sync plan does not stop syncing repos from it
to Deleting a sync plan does not stop syncing repos from it

- translation missing: en.field_release set to 338

#3 - 06/28/2018 02:01 PM - Stephen Benjamin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|c5a25d9f35127ab68883891d30085eb8e57d84a4.

05/18/2024

22


https://projects.theforeman.org/projects/katello/repository/katello/revisions/c5a25d9f35127ab68883891d30085eb8e57d84a4
http://www.tcpdf.org

